Bug 540801

Summary: Dell Mini 12 screen brightness can't be changed
Product: [Fedora] Fedora Reporter: Danny Brodzik <gnulinuxman1986>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: dougsland, eric.donkersloot, gansalmon, itamar, kernel-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:35:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Danny Brodzik 2009-11-24 02:23:20 EST
Description of problem:
Changing the brightness using the Fn+F9 and Fn+F10 no longer works in 2010.0
development version. It worked fine in 2009.1. I am running Cooker with all
updates installed.

Steps to Reproduce:
1. Hit Fn+F9
2. Brightness doesn't lower

Also, GNOME and KDE power managers report that they can't tell the brightness
level or change it. I don't think they could in 2009.1, but the Fn key combos
worked there.

There are no files in /sys/class/backlight

lshal -m does indicate that the system can see the brightness keys.

The brightness used to work in Ubuntu Jaunty, but not in Karmic either. Tried it in Mandriva, same drill: worked in the last version, but not the current one. It didn't work in Fedora 11. I will try it in Fedora 10 soon though.
Comment 1 Danny Brodzik 2009-11-24 02:24:18 EST
Oops, I meant Fedora 11 and 12... *facepalm* I reported this bug to Mandriva recently...
Comment 2 Danny Brodzik 2009-11-24 05:06:18 EST
OK, I booted Fedora 10 live on my Mini 12. The brightness keys do not work, but doing

echo [num] > /sys/class/backlight/acpi_video0

as root works. There are no files in /sys/class/backlight under Fedora 11 and 12, so this does not work at all on those releases.
Comment 3 Eric Donkersloot 2009-12-01 09:54:13 EST
Please try this workaround: reboot your machine with the 'nomodeset' kernel
parameter. This might be a duplicate of bug 519105 ?
Comment 4 Danny Brodzik 2009-12-04 22:07:56 EST
It does not work, at least on the Fedora 12 Live.
Comment 5 Bug Zapper 2010-11-04 01:32:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-02 13:19:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-27 10:35:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.